Katello - Bug #4409

Submit button for Architecture creation doesn't close the form nor does it display the new
architecture in the list

02/20/2014 10:58 PM - Og Maciel

Status: Closed

Priority: Normal

Assignee: Brad Buckingham

Category: Web Ul

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Using the web ui to create a new architecture | noticed that the submit button does not give any indication that the record was
created (the architecture does get created)... you have to reload the page in order to see the new record. The form doesn't close
either, which is confusing to the user. Clicking the Submit button again tells me the name | chose has already been taken but the
record is not listed.

Steps:

o Create a new architecture via the Ul. Select a valid OS
¢ Click the Submit button

The attached screenshot shows that the form is still open and that the new record is not listed in the list to the left of the UL.

Related issues:
Related to Katello - Bug #4490: Roles Ul page messes up after scrolling Closed 02/28/2014

Associated revisions

Revision 63afa801 - 03/03/2014 09:04 PM - Brad Buckingham

fixes #4409 - rename the id used for the content menu

For some reason, using 'content' as the id for the Content menu
was resulting in breakage in behavior for foreman's two-pane
implementation.

Without this change, the following would occur:

- User goes to a page, clicks 'New <object>' (e.g.
Architecture, Environment, User...)

- panel opens with form to allow user to enter

data for the object

- User clicks submit

- At this point, the form is submitted to the server
and the object is created; however, the form is never
closed and the list of objects is not updated.

Revision 3ec94f0c - 03/03/2014 11:56 PM - Brad Buckingham
Merge pull request #3769 from bbuckingham/issue-4409

fixes #4409 - rename the id used for the content menu

History

#1 - 02/21/2014 07:12 AM - Ohad Levy
- Project changed from Foreman to Katello

- Category deleted (Web Interface)

| can't reproduce it with Core foreman, just when Katello is installed.
Do you see any JS errors?

#2 - 02/21/2014 03:52 PM - Og Maciel

| did not see any javascript errors. All requests and responses look normal.

#3 - 02/24/2014 09:49 PM - Mike McCune

FYI, same thing happens for me with users and not just Architectures.

Try to create a user, hit Submit and nothing happens in the Ul. If you refresh the Users list it shows the newly created user.

#4 - 03/02/2014 10:16 AM - Ohad Levy
- Related to Bug #4490: Roles Ul page messes up after scrolling added

#5 - 03/03/2014 02:44 PM - Mike McCune
- Category set to Web Ul

- Assignee set to Brad Buckingham

#6 - 03/03/2014 09:13 PM - Brad Buckingham

Made changes in Katello (https:/github.com/Katello/katello/pull/3769) which allow the Foreman two-pane to work properly. It looks like the 'id' that
Katello was using for the Content menu was interfering with Foreman. The id used was 'content'.

#7 - 03/03/2014 09:33 PM - Brad Buckingham

It looks like the source of the conflict is that Foreman two-pane uses #content, which conflicted with the plugin using the same id in the menu.

E.g.

Jtwo-pane.js:46:  $('#content').html(response.responseText);
Jtwo-pane.js:66:  $('#content').html(response.responseText);
Jtwo-pane.js:109: var form_content = $("#content form.well", response);
Jtwo-pane.js:117:  $('#content').replaceWith($("#content", response));

#8 - 03/04/2014 12:52 AM - Brad Buckingham
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katellojcommit:63afa801936¢ff8db1c6b0db7310aaf75046e3ef.

#9 - 06/06/2014 01:40 PM - Eric Helms

- Triaged set to Yes

#10 - 08/21/2014 02:29 PM - Eric Helms

- translation missing: en.field_release set to 13
